%define py_geoip_pkg python-module-GeoIP
%define oname nicotine+

Name: nicotine-plus
Version: 1.2.12
Release: alt1.1.qa1

Summary: The client program for the SoulSeek filesharing system
Summary(ru_RU.KOI8-R):     SoulSeek

Group: Networking/File transfer
License: GPL
Url: http://nicotine-plus.sourceforge.net/

Packager: Vitaly Lipatov <lav@altlinux.ru>

#Source: http://dl.sf.net/%name/%oname-%version.tar.bz2
Source: http://www.nicotine-plus.org/files/nicotine+-%version.tar.bz2
# TODO: check tranlsation
Source1: nicotine.ru.po.bz2
Source12: nicotine.48.png

Patch: %name-alt-desktop-entry.patch

BuildArch: noarch

Provides: nicotine
Obsoletes: nicotine

# manually removed: eric
# Automatically added by buildreq on Sat May 26 2007
BuildRequires: python-devel python-module-pygobject python-module-pyvorbis python-modules-compiler

BuildPreReq: rpm-build-python

Requires: python-module-sexy python-module-pygtk-libglade

%add_python_req_skip pywintypes win32con win32gui
BuildRequires: desktop-file-utils

%description
Nicotine is a feature-complete client for the SoulSeek filesharing network that
is used primarily to share music.

Nicotine supports everything a SoulSeek client is supposed to do, such as
downloading, uploading, searching, chatting, keeping a "buddy" list and has
lots of other features like finding similar users and getting listening
recommendations based on user's preferences.

Nicotine also supports a country code blocker using the GeoIP library.
To enable this functionality install the %py_geoip_pkg package.

Nicotine is a successor to the PySoulSeek project by Alexander Kanavin.

Nicotine supports psyco, an inline optimizer for python code,
you can install it from python-module-psyco package.

%description -l ru_RU.KOI8-R
Nicotine --       SoulSeek,
,  ,   .

Nicotine       SoulSeek , 
    , , ,   "",  
 , , ,     
      .

 , Nicotine     ̣ ,
  GeoIP.     
   %py_geoip_pkg.

Nicotine    PySoulSeek,    .

Nicotine    psyco,   
   python-module-psyco.

%prep
%setup -q -n %oname-%version
%patch

%build
#mkdir -p languages/ru
#bzcat %SOURCE1 > languages/ru/nicotine.po
#msgfmt languages/ru/nicotine.po -o languages/ru/nicotine.mo

%python_build

%install
%python_install

%define _iconstheme    hicolor
%define _iconsbasedir  %_iconsdir/%{_iconstheme}
%define _icons16dir    %{_iconsbasedir}/16x16/apps
%define _icons48dir    %{_iconsbasedir}/48x48/apps

install -D -m644 files/%name-16px.png %buildroot%_icons16dir/%name.png
install -D -m644 files/%name-32px.png %buildroot%_niconsdir/%name.png
install -D -m644 %SOURCE12 %buildroot%_icons48dir/%name.png

rm -rf %buildroot%_datadir/nicotine/documentation/
ln -s nicotine.py %buildroot%_bindir/nicotine

%find_lang nicotine
desktop-file-install --dir %buildroot%_desktopdir \
	--remove-category=Application \
	--add-category=FileTransfer \
	--add-category=P2P \
	%buildroot%_desktopdir/nicotine.desktop

%files -f nicotine.lang
%_bindir/nicotine*
%python_sitelibdir/pynicotine/
%_desktopdir/*
%_icons16dir/*
%_niconsdir/*
%_icons48dir/*
%_man1dir/*
%_pixmapsdir/*
%_datadir/nicotine/
%doc doc/*

%changelog
* Mon May 23 2011 Repocop Q. A. Robot <repocop@altlinux.org> 1.2.12-alt1.1.qa1
- NMU (by repocop). See http://www.altlinux.org/Tools/Repocop
- applied repocop fixes:
  * freedesktop-desktop-file-proposed-patch for nicotine-plus

* Wed Nov 25 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.2.12-alt1.1
- Rebuilt with python 2.6

* Wed Aug 19 2009 Vitaly Lipatov <lav@altlinux.ru> 1.2.12-alt1
- new version 1.2.12 (with rpmrb script)

* Mon Oct 29 2007 Vitaly Lipatov <lav@altlinux.ru> 1.2.9-alt2
- remove psyco requires (fix bug #13236)
- cleanup spec

* Wed Oct 24 2007 Vitaly Lipatov <lav@altlinux.ru> 1.2.9-alt1
- new version 1.2.9 (with rpmrb script)

* Fri Jul 06 2007 Vitaly Lipatov <lav@altlinux.ru> 1.2.8-alt2
- add provides, obsoletes: nicotine
- add some useful requires
- disable old russian translation (it brokes dialogs)

* Fri Jun 08 2007 Vitaly Lipatov <lav@altlinux.ru> 1.2.8-alt1
- new version 1.2.8 (with rpmrb script)

* Sat May 26 2007 Vitaly Lipatov <lav@altlinux.ru> 1.2.7.1-alt1
- nicotine-plus forks from nicotine

* Fri Mar 25 2005 Dmitry Vukolov <dav@altlinux.ru> 1.0.8-alt2
- rebuilt with python 2.4

* Wed Mar 02 2005 Dmitry Vukolov <dav@altlinux.ru> 1.0.8-alt1
- new version

* Mon Jul 19 2004 Dmitry Vukolov <dav@altlinux.ru> 1.0.7-alt3
- repackaged according to the new python policy
- altered description

* Mon May 10 2004 Dmitry Vukolov <dav@altlinux.ru> 1.0.7-alt2
- added Russian translation
- use %%find_lang to mark language files

* Sat May 01 2004 Dmitry Vukolov <dav@altlinux.ru> 1.0.7-alt1
- initial release for ALT Linux Sisyphus
- patched to use the standard GTK+ directory selection dialog (Debian)

